#include <u.h>
#include <libc.h>
#include <bio.h>

void
usage(void)
{
	fprint(2, "usage: %s [-N] [-r rune] n\n", argv0);
	exits("usage");
}

/* Print n of a given Rune */
void
main(int argc, char *argv[])
{
	Biobuf	*bp = Bfdopen(1, OWRITE);
	Rune	r = L'☺';
	char	*buf;
	int 	n, i, nl = 1;

	ARGBEGIN{
	case 'r':
		// Specify rune to print
		buf = EARGF(usage());
		if(fullrune(buf, strlen(buf)))
			chartorune(&r, buf);
		else
			usage();
		break;
	case 'N':
		// Suppress newline
		nl = 0;
		break;
	default:
		usage();
	}ARGEND;
	
	if(argc != 1)
		usage();

	n = atoi(*argv);
	
	for(i = 0; i < n; i++)
		Bprint(bp, "%C", r);

	if(nl)
		Bprint(bp, "\n");
	
	Bflush(bp);
	Bterm(bp);

	exits(nil);
}
